Subject: Re: [BUG] netxen: Stops working between 2.6.30 and 2.6.31-rc1

From: [email-masked] (Eric W. Biederman)
Date: Fri, 20 Nov 2009 09:43:59 -0800

Dhananjay Phadke <[email-masked]> writes:

>> Weird. MSI's definitely weren't disabled.  Looking a little farther at
>> your quoted setup MSI work on your board.  This is definitely
>> something specific to the driver.  Except for a few initialization
>> races that are an issue for bonding I am running 2.6.31 just fine.
>
>
> Jens,
>
> Even if /proc/interrupt says PCI-MSI in both cases, single interrupt case is msi
> vs. 4 vector case is msi-x. To confirm that msi-x doesn't work with your
> card/machine, you can still stay on 2.6.31 and set use_msi_x=0 in
> netxen_nic_main.c.
>
> I had tried to make a available a module param to disable msi/msi-x for
> platforms where msi-x doesn't work cleanly, but it was declined by David Miller,
> et al.

MSI-X uses the same messages on the wire is the same as MSI it is
only the programming interface that is different.  So if MSI works and
MSI-X does not it is not a platform problem.

Eric